org.apache.ignite.spi.discovery.tcp.messages

## Class TcpDiscoveryClientMetricsUpdateMessage

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage
  - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryClientMetricsUpdateMessage

All Implemented Interfaces:
  Serializable

    public class TcpDiscoveryClientMetricsUpdateMessage
    extends TcpDiscoveryAbstractMessage

Metrics update message.

Client sends his metrics in this message.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`CHANGE_TOPOLOGY_FLAG_POS, CLIENT_ACK_FLAG_POS, CLIENT_FLAG_POS, CLIENT_RECON_SUCCESS_FLAG_POS, COMPRESS_DATA_PACKET, FORCE_FAIL_FLAG_POS, RESPONDED_FLAG_POS`

### Constructor Summary

Constructors
Constructor and Description
`TcpDiscoveryClientMetricsUpdateMessage(UUID creatorNodeId, ClusterMetrics metrics)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`ClusterMetrics` `metrics()` Gets metrics map.
`String` `toString()`
`boolean` `traceLogLevel()`

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`addFailedNode, client, client, creatorNodeId, equals, failedNodes, failedNodes, force, force, getFlag, hashCode, highPriority, id, pendingIndex, pendingIndex, senderNodeId, senderNodeId, setFlag, topologyVersion, topologyVersion, verified, verifierNodeId, verify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TcpDiscoveryClientMetricsUpdateMessage

    public TcpDiscoveryClientMetricsUpdateMessage(UUID creatorNodeId,
                                                  ClusterMetrics metrics)

Constructor.

Parameters:
  `creatorNodeId` - Creator node.
  `metrics` - Metrics.

### Method Detail

#### metrics

    public ClusterMetrics metrics()

Gets metrics map.

Returns:
  Metrics map.

#### traceLogLevel

    public boolean traceLogLevel()

Overrides:
  `traceLogLevel` in class `TcpDiscoveryAbstractMessage`
Returns:
  `True` if need use trace logging for this message (to reduce amount of logging with debug level).

#### toString

    public String toString()

Overrides:
  `toString` in class `TcpDiscoveryAbstractMessage`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020